## org.eclipse.emf.cdo.common.model
Interface CDOClassInfo

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter

    public interface CDOClassInfo

extends org.eclipse.emf.common.notify.Adapter

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary
`org.eclipse.emf.ecore.EStructuralFeature[]` `getAllPersistentFeatures()`
`org.eclipse.emf.ecore.EClass` `getEClass()`
`int` `getFeatureIndex(org.eclipse.emf.ecore.EStructuralFeature feature)`
`int` `getFeatureIndex(int featureID)`
`boolean` `isResource()`
`boolean` `isResourceFolder()`
`boolean` `isResourceNode()`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Method Detail

### getEClass

    org.eclipse.emf.ecore.EClass getEClass()

### isResourceNode

    boolean isResourceNode()

### isResourceFolder

    boolean isResourceFolder()

### isResource

    boolean isResource()

### getAllPersistentFeatures

    org.eclipse.emf.ecore.EStructuralFeature[] getAllPersistentFeatures()

### getFeatureIndex

    int getFeatureIndex(org.eclipse.emf.ecore.EStructuralFeature feature)

### getFeatureIndex

    int getFeatureIndex(int featureID)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.